GET /calendar_event

twinehealth.com

Summary: List calendar events
Operation ID: fetchCalendarEvents
Auth: unknown
Description

Get a list of calendar events

Parameters (16)

filter[attendees] (string, query, optional)

Comma-separated list of coach or patient ids. Note that one of the following filters must be specified: `filter[patient]`, `filter[group]`, `filter[organization]`, or `filter[attendees]`.

filter[completed] (boolean, query, optional)

If not specified, return all calendar events. If set to `true` return only events marked as completed, if set to `false`, return only events not marked as completed yet.

filter[completed_at] (string, query, optional)

The start (inclusive) and end (exclusive) dates are ISO date and time strings separated by `..`. Example for events completed in November 2017 (America/New_York): `filter[completed_at]=2017-11-01T00:00:00-04:00..2017-12-01T00:00:00-05:00`

filter[created_at] (string, query, optional)

The start (inclusive) and end (exclusive) dates are ISO date and time strings separated by `..`. Example for events created in November 2017 (America/New_York): `filter[created_at]=2017-11-01T00:00:00-04:00..2017-12-01T00:00:00-05:00`

filter[end_at] (string, query, optional)

The start (inclusive) and end (exclusive) dates are ISO date and time strings separated by `..`. Example for events ending in November 2017 (America/New_York): `filter[end_at]=2017-11-01T00:00:00-04:00..2017-12-01T00:00:00-05:00`

filter[groups] (string, query, optional)

Comma-separated list of group ids. Note that one of the following filters must be specified: `filter[patient]`, `filter[group]`, `filter[organization]`, or `filter[attendees]`.

filter[organization] (string, query, optional)

Fitbit Plus organization id. Note that one of the following filters must be specified: `filter[patient]`, `filter[group]`, `filter[organization]`, or `filter[attendees]`.

filter[patient] (string, query, optional)

Patient id to fetch calendar event. Note that one of the following filters must be specified: `filter[patient]`, `filter[group]`, `filter[organization]`, or `filter[attendees]`.

filter[start_at] (string, query, optional)

The start (inclusive) and end (exclusive) dates are ISO date and time strings separated by `..`. Example for events starting in November 2017 (America/New_York): `filter[start_at]=2017-11-01T00:00:00-04:00..2017-12-01T00:00:00-05:00`

filter[type] (string, query, optional)

Calendar event type

Constraints: {'enum': ['plan-check-in', 'reminder', 'telephone-call', 'office-visit', 'video-call']}

filter[updated_at] (string, query, optional)

The start (inclusive) and end (exclusive) dates are ISO date and time strings separated by `..`. Example for events updated in November 2017 (America/New_York): `filter[updated_at]=2017-11-01T00:00:00-04:00..2017-12-01T00:00:00-05:00`

include (string, query, optional)

List of related resources to include in the response

Constraints: {'enum': ['owner']}

page[cursor] (string, query, optional)

Page cursor

page[limit] (integer, query, optional, default: 50)

Page limit

Constraints: {'minimum': 0}

page[number] (integer, query, optional, default: 1)

Page number

page[size] (integer, query, optional, default: 10)

Page size

Constraints: {'minimum': 0, 'maximum': 50}

No probe data for this endpoint yet.